Subject: Re: Courier-IMAP on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 21 Apr 2005 20:29:58 +0200

Brian Dessent wrote:

> Kees Vonk wrote:
> 
> 
>>When I start configure without the --without-authldap option I get the
>>following error:
>>
>>checking for netinet/in.h... yes
>>checking whether -lresolve is needed for res_query... configure: error:
>>Cannot find function res_query
> 
> 
> You lack the 'minires-devel' package most likely.
> 
> 
>>However when I inlcude the --without-authldap option the first bit of
>>configure seems to work, but them when it gets to libltdl it suddenly
>>fails with:
>>
>>configure: error: invalid package name: authldap
>>
>>Can anyone tell me how to get around this? I can compile it on my linux
>>box without a problem.
> 
> 
> That sounds like maybe you have the switch spelled wrong.  Check the
> output of "./configure --help" to see what the script accepts.
> 
> If that's not it and it's a libtool issue, it could be worth a try to
> relibtoolize, or just autoreconf, the package to regenerate the
> 'configure' and 'libtool' (and possibly many other) files using Cygwin's
> autoconf/libtool/automake.  You'll need the -devel versions of those
> three packages.  "autoreconf --install --force --verbose" is often the
> sledgehammer of first attack if a package won't build.  No guarantees
> that this will help though.  It may take some digging around in the
> configure.in to see what's going on.

No, I don't think so in this case.  Don't touch the autotools used.
In version 0.47 there are 48 configure scripts for each module its own
script.  It lasts forever to run through this strange system.

Gerrit
-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/